<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
MutexConfig Members
MutexConfig Class Constructors Methods Properties See Also

The MutexConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| MutexConfig | Initializes a new instance of the MutexConfig class

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Alignment | The mutex alignment, in bytes.
| Increment | Configure the number of additional mutexes to allocate.
| MaxMutexes | The total number of mutexes to allocate.
| NumTestAndSetSpins | The number of spins test-and-set mutexes should execute before blocking.

# See Also

MutexConfig Class
BerkeleyDB Namespace